
/**
 * A hand for a game of Camel Cards
 */
export type CamelCardsHand = {
    /** The hand the player was dealt */
    Hand: string,
    /** The amount the player bid on that hand */
    Bid: number
    /** The ranking of the hand */
    Rank: CamelCardRanking,
};

/**
* The ranking of Camel Card hand types
*/
export enum CamelCardRanking {
   HIGH_CARD,
   ONE_PAIR,
   TWO_PAIR,
   THREE_OF_A_KIND,
   FULL_HOUSE,
   FOUR_OF_A_KIND,
   FIVE_OF_A_KIND,
}